[API Reference](../README.md) > [WrapperServiceInitializeOptions](../interfaces/WrapperServiceInitializeOptions.md)



# Interface: WrapperServiceInitializeOptions

## Hierarchy

**WrapperServiceInitializeOptions**

↳  [InitializeArcOptions](InitializeArcOptions.md)









## Properties
<a id="filter"></a>

### «Optional» filter

**●  filter**:  *[WrapperFilter](WrapperFilter.md)* 

*Defined in [wrapperService.ts:369](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrapperService.ts#L369)*



Optional filter to only initialize the contracts whose name is set to `true`. Any contracts that are omitted or set to `false` here will appear as `null` in `WrapperService.wrappers` and `WrapperService.wrappersByType`, and will not be available in `WrapperService.wrappersByAddress`. But their factories will still be available in `WrapperService.factories`. See [Optimized Contract Loading](Wrappers#optimizedcontractloading) for more information.




___


